net.i2p.i2ptunnel.util

## Class DechunkedOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - net.i2p.i2ptunnel.util.LimitOutputStream
      - - net.i2p.i2ptunnel.util.DechunkedOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class DechunkedOutputStream
      extends LimitOutputStream

  Simple stream for checking and optionally removing RFC2616 chunked encoding to the output.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.i2p.i2ptunnel.util.LimitOutputStream

      `LimitOutputStream.DoneCallback`

  - ### Field Summary

    - ### Fields inherited from class net.i2p.i2ptunnel.util.LimitOutputStream

      `_callback, _isDone`

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DechunkedOutputStream(OutputStream raw, LimitOutputStream.DoneCallback callback, boolean strip)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(byte[] buf, int off, int len)` Subclasses MUST override the following method such that it calls done() when finished and throws EOFException if called again

    - ### Methods inherited from class net.i2p.i2ptunnel.util.LimitOutputStream

      `isDone, setDone, write`

    - ### Methods inherited from class java.io.FilterOutputStream

      `close, flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DechunkedOutputStream

          public DechunkedOutputStream(OutputStream raw,
                                       LimitOutputStream.DoneCallback callback,
                                       boolean strip)

  - ### Method Detail

    - #### write

          public void write(byte[] buf,
                            int off,
                            int len)
                     throws IOException

      Description copied from class: `LimitOutputStream`
      Subclasses MUST override the following method such that it calls done() when finished and throws EOFException if called again
      Overrides:
        `write` in class `LimitOutputStream`
      Throws:
        `IOException`